DESCRIPTION = "Osmocom PCU for sysmoBTS"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM="file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"

SRC_URI = "git://git.osmocom.org/osmo-pcu.git;protocol=git;branch=jerlbeck/master"
SRCREV = "6e75bc7fe304eec274f6e485a8b23a164fd4e28e"
PV = "0.4+git${SRCPV}"
PR = "r4.${META_TELEPHONY_OSMO_INC}"
S = "${WORKDIR}/git"

DEPENDS = "libosmocore femtobts-api osmo-bts"

# This implements PCU Interface v5 (GPRS RSSI)
RDEPENDS_${PN} = "osmo-bts (>= 0.4.0)"

EXTRA_OECONF_sysmobts-v2 += "--enable-sysmocom-bts --enable-sysmocom-dsp"

inherit autotools pkgconfig systemd

# Select the API version
inherit femtobts_api
CPPFLAGS += " ${BTS_HW_VERSION} "

do_install_append() {
  # Install systemd services (enabled by default)
  install -d ${D}/${systemd_unitdir}/system
  install -m 644 ${S}/contrib/*.service ${D}/${systemd_unitdir}/system
}
